Package org.eclipse.emf.cdo.ui

## Interface CDOEditorInput2

- All Superinterfaces:
    `CDOEditorInput`, `IAdaptable`, `IEditorInput`

      public interface CDOEditorInput2
      extends CDOEditorInput

  An extension to `CDOEditorInput` that provides input object information.
  Since:
    4.5
  Author:
    Eike Stepper
  See Also:
    `IEditorInput`, `CDOEditorUtil`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID` | `getObjectID()` |
    `void` | `setObjectID​(CDOID objectID)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.ui.CDOEditorInput

      `getResourcePath, getView, isViewOwned`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.ui.IEditorInput

      `exists, getImageDescriptor, getName, getPersistable, getToolTipText`

- - ### Method Detail

    - #### getObjectID

          CDOID getObjectID()

    - #### setObjectID

          void setObjectID​(CDOID objectID)